Name:				mydumper
Version:			0.2.3
Release:			2.art
Summary:			How MySQL DBA & support engineer would imagine 'mysqldump'
Source:        http://launchpad.net/%{name}/0.1/%{version}/+download/%{name}-%{version}.tar.gz
URL:			   https://launchpad.net/mydumper
Group:			Applications/Databases
License:			GNU General Public License version 3 (GPL v3)
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
BuildRequires: glib2-devel glibc-devel mysql-devel 
BuildRequires: pcre-devel zlib-devel 
BuildRequires: cmake

%description
mydumper is complement to mysqldump, for MySQL data dumping, providing:

1. Parallelism (hence, speed) and performance (avoids expensive character set
   conversion routines, efficient code overall)
2. Easier to manage output (separate files for tables, dump metadata, etc, easy
   to view/parse data)
3. Consistency - maintains snapshot across all threads, provides accurate
   master and slave log positions, etc
4. Manageability - supports PCRE for specifying database and tables inclusions
   and exclusions

It does not support schema dumping and leaves that to 'mysqldump --no-data'

It was born as weekend experiment, and apparently it worked well enough to have
public appearance.

Authors:
--------
	Andrew Hutchins <andrew.hutchins@sun.com>
	Domas Mituzas <domas@dammit.lt>
	Mark Leith <mark.leith@sun.com>

%prep
%setup -q

%build
cmake -DCMAKE_VERBOSE_MAKEFILE=ON \
        -DCMAKE_INSTALL_PREFIX=%{_prefix} \
        -DSYSCONFDIR=%{_sysconfdir} \
        -DLOCALSTATEDIR=%{_localstatedir}

make

%install
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=/usr

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc README docs/*.rst
%{_bindir}/mydumper
%{_bindir}/myloader

%changelog
* Tue Aug 1 2012 J.Horacek <jahor@jhr.cz> -  0.2.3-2
- include myloader

* Wed Jun 8 2011 Scott R. Shinn <scott@atomicorp.com>
- Merged in from opensuse. Which not only never worked, but was only accessible via google cache. 
- Updated to 0.2.11
